        dimension post(6)
        character id*8, ifile*80

        d2r=3.1415927/180.
        print*,'enter input post file:'
        read(5,100) ifile
100     format(a)
        open(10,file=ifile,form='unformatted',status='old')
        open(11,file='sincos.pst',form='unformatted',status='unknown')
10      read(10,end=20) id,x,y,post
        ang = post(4) * d2r
        post(1) = sin(ang)
        post(2) = cos(ang)
        write(11) id,x,y,post
        go to 10
20      print*,'sincos.pst created: post(1)=sin, post(2)=cos'
        end
